【发布时间】:2013-09-10 20:09:04
【问题描述】:
我正在尝试转移应用程序。我无法找到我的团队代理 Apple ID 和我的团队 ID。我以前找到过它,现在我需要它,我已经搜索了 30 分钟,但没有任何运气。
试图将应用转让给我的人在此图片中查看,我不知道在哪里可以找到此信息。
【问题讨论】:
-
我想知道为什么苹果把它弄得这么复杂,而且不解决这些问题
标签: ios
我正在尝试转移应用程序。我无法找到我的团队代理 Apple ID 和我的团队 ID。我以前找到过它,现在我需要它,我已经搜索了 30 分钟,但没有任何运气。
试图将应用转让给我的人在此图片中查看,我不知道在哪里可以找到此信息。
【问题讨论】:
标签: ios
【讨论】:
如果您使用的是 OSX,您也可以找到它作为您的钥匙串。您的开发者和分发证书中包含您的团队 ID。
应用程序 -> 实用程序 -> 钥匙串访问。
在“登录”钥匙串下,进入“证书”类别。
滚动查找您的开发或分发证书。他们将阅读:
iPhone 分布:团队名称(证书 ID)
或
iPhone 开发者:团队名称(证书 ID)
只需双击项目,然后
是“团队 ID”
请注意,这是找到您的唯一方法
您在 Apple 网页界面上找不到“个人团队”ID。
例如,如果您从 Unity 自动化构建,则在开发期间您会希望它在 Xcode 中显示为您的“个人团队” - 这是获得该价值的唯一方法。
【讨论】:
【讨论】:
Apple 已更改界面。
可以通过以下链接找到团队 ID: https://developer.apple.com/account/#/membership
【讨论】:
个人团队
grep DEVELOPMENT_TEAM MyProject.xcodeproj/project.pbxproj
应该给你团队ID
DEVELOPMENT_TEAM = ZU88ND8437;
【讨论】:
即使您不是付费用户,也可以通过多种方式进行检查。 您可以从 Xcode 确认 TeamID。 [构建设置] 显示在开发团队的工具提示上。
【讨论】:
我想从命令行(终端)获取这个,所以我想出了这个 bash 脚本
链接到gist
#!/usr/bin/env bash
#requires openssl@3 from Homebrew
_openssl=$(brew --prefix openssl 2>/dev/null)/bin/openssl
[[ -x $_openssl ]] || { echo "missing openssl, try \`brew install openssl\`"; exit 1; }
#find development cert
id=$(security find-identity -v -p codesigning | head -1)
[[ -n $id ]] || exit 1
cn=$(sed -En 's/^.*Apple Development.*\((.*)\).*$/\1/p' <<<"$id")
sha1=$(sed -En 's/^.*([A-F0-9]{40}).*$/\1/p' <<<"$id")
[[ -n $cn && -n $sha1 ]] || { echo "could not find valid development cert"; exit 1; }
#make temp dir
outdir=$(mktemp -d /private/tmp/teamid.XXXXXX)
[[ -n $outdir ]] || { echo "error creating temp dir"; exit 1; }
#export cert
if ! security find-certificate -c "$cn" -Z -p >"${outdir}/${cn}.pem"; then
echo "error exporting cert from Keychain"
exit 1
fi
#check for hash match
certhash=$(awk -F: '/SHA-1 hash:/{sub(" ","",$2); print $2}' "${outdir}/${cn}.pem")
[[ "$certhash" == "$sha1" ]] || { echo "hash mismatch!"; exit 1; }
#output DEVELOPMENT_TEAM
$_openssl x509 -in "${outdir}/${cn}.pem" -subject -noout |
sed -En 's/.*OU = ([^,]+),.*$/\1/p'
#cleanup
rm -r "${outdir:?}"
【讨论】: